package com.xiaoyue.tinkers_ingenuity.loot;

package ..deTemp.1741077584028;

import java.util.List;
import java.util.Objects;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.storage.loot.LootContext;
import net.minecraft.world.level.storage.loot.predicates.LootItemCondition;
import net.minecraftforge.common.loot.LootModifier;

public class AddItemModifier extends LootModifier {
  private final ResourceLocation lootTable;
  
  public AddItemModifier(LootItemCondition[] conditions, ResourceLocation lootTable) {
    super(conditions);
    this.lootTable = lootTable;
  }
  
  protected List<ItemStack> doApply(List<ItemStack> generatedLoot, LootContext context) {
    Objects.requireNonNull(generatedLoot);
    context.m_78940_(this.lootTable).m_79148_(context, generatedLoot::add);
    return generatedLoot;
  }
}
